be.fgov.ehealth.mediprima.core.v2

## Class ProsthesisType

- java.lang.Object
- - be.fgov.ehealth.mediprima.core.v2.MedicalCoverCommonInformationType
  - - be.fgov.ehealth.mediprima.core.v2.ProsthesisType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-02-23T10:16:11+01:00",
                 comments="JAXB RI v2.3.7")
      public class ProsthesisType
      extends MedicalCoverCommonInformationType
      implements Serializable

  Java class for ProsthesisType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="ProsthesisType">
         <complexContent>
           <extension base="{urn:be:fgov:ehealth:mediprima:core:v2}MedicalCoverCommonInformationType">
             <sequence>
               <element name="CompanyList" type="{urn:be:fgov:ehealth:mediprima:core:v2}CompanyListType" minOccurs="0"/>
             </sequence>
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProsthesisType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CompanyListType` | `getCompanyList()` Gets the value of the companyList property.
    `void` | `setCompanyList(CompanyListType value)` Sets the value of the companyList property.

    - ### Methods inherited from class be.fgov.ehealth.mediprima.core.v2.MedicalCoverCommonInformationType

      `getAllowedSupplements, getAmountPatientPartMax, getPswcSupport, getValidityPeriod, setAllowedSupplements, setAmountPatientPartMax, setPswcSupport, setValidityPeriod`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProsthesisType

          public ProsthesisType()

  - ### Method Detail

    - #### getCompanyList

          public CompanyListType getCompanyList()

      Gets the value of the companyList property.
      Returns:
        possible object is `CompanyListType`

    - #### setCompanyList

          public void setCompanyList(CompanyListType value)

      Sets the value of the companyList property.
      Parameters:
        `value` - allowed object is `CompanyListType`

Connector Packaging PERSPHYSICIAN 4.8.6 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.